Subject: manpage for /usr/sbin/sendmail (/usr/share/man/man1/sendmail.1.gz) contains unescaped hyphens

From: Joseph Nahmias <[email-masked]>
Date: Sun, 16 Jan 2005 17:41:15 +0000 (UTC)

Package: postfix
Version: 2.1.4-5

The manpage '/usr/share/man/man1/sendmail.1.gz' contains unescaped hyphens
which causes groff to render them as hyphens (U+2010) rather than
regular ASCII dashes (0x2D).

This causes problems in a number of cases: for example when someone
wants to cut-and-paste from a manpage -- since programs do not interpret
the unicode hyphen as a dash.  Also, most pagers differentiate between
the two characters, making searching for text that includes a dash
difficult.

Please change all instances of the '-' character in the manpage to '\-'
to fix this.  The following command should highlight most of the
problematic instances:

    zgrep -Hn [^\\]- /usr/share/man/man1/sendmail.1.gz | egrep -v '[0-9]+:\.\\"'

Thanks,
Joe Nahmias